Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: CPG 1.4.26 Actualización de Seguridad - OBLIGATORIO  (Read 6899 times)

0 Members and 1 Guest are viewing this topic.

Fabricio Ferrero

  • Moderator
  • Coppermine addict
  • ****
  • Country: 00
  • Offline Offline
  • Gender: Male
  • Posts: 1997
  • From San Juan, Argentina, to the World!
    • http://fabricioferrero.com/
CPG 1.4.26 Actualización de Seguridad - OBLIGATORIO
« on: February 01, 2010, 08:25:43 pm »

El equipo de Desarrollo de Coppermine Photo Gallery ha lanzado la versión 1.4.26. Esta actualización es por motivos de seguridad y es obligatorio que actualices lo antes posible.


¿Como actualizar?

Descargá la version completa de CPG (desde aqui) y actualiza toda la galeria por completo salvo el archivo 'anycontent.php', el archivo 'config.inc.php' (de la carpeta include) y la carpeta 'albums'. Luego de subir todos los archivos, no te olvides de ejecutar el archivo "update.php" desde el navegador. (http://www.tusitio.tld/carpeta-coppermine/update.php)


Para aquellos que quieran actualizar la galería manualmente (No recomendado), abrir el archivo upload.php con un editor de texto y busca:

Code: [Select]
echo "<tr><td>{$URI_failure_array[$i]['failure_ordinal']} {$URI_failure_array[$i]['URI_name']}</td><td>{$URI_failure_array[$i]['error_code']}</td></tr>";
Y reemplazalo por:

Code: [Select]
echo "<tr><td>{$URI_failure_array[$i]['failure_ordinal']} ".htmlentities($URI_failure_array[$i]['URI_name'])."</td><td>{$URI_failure_array[$i]['error_code']}</td></tr>";


Soporte Técnico:

Si tienes algún problema y necesitas soporte, no debes contestar acá, debes crear un nuevo tema (Topic) en el Foro de soporte en Español


¿Por qué fue lanzada la versión cpg1.4.26?
Esta nueva versión corrige una vulnerabilidad que de existir, un visitante de tu galería puede ejecutar ciertas funciones sin tu consentimiento. (Discusión en inglés)

Además, cpg1.4.26 incluye varias correcciones que no están relacionadas con la seguridad:
  • Se actualizó el archivo de enlace con vBulletin para reflejar los cambios de la versión vB3.x a vB4.x
  • Se añadió una nueva función que se encarga de chequear la versión de los plugins y su compatibilidad.
  • Se actualizó el archivo de idioma Italiano.
  • Se solucionó el problema con los permisos en la función "rotar y recortar"
  • Se solucionó el problema de caché con xp publisher.
  • Se solucionó el problema con el archivo de enlace cuando se creaban albums con MySQL con el modo estricto activado.
  • Se solucionó el problema que existía al crear albums con xp publisher.
  • Se actualizó el archivo de idioma Alemán.
  • Se actualizó el archivo de enlace con MvBB a la versión 1.4
  • Se actualizó el archivo de idioma Checo (Contribución hecha por un usuario)
  • Se actualizó el archivo de idioma Eslovaco (Contribución hecha por un usuario)
  • Se actualizó el archivo de idioma Italiano (Contribución hecha por un usuario)


Muchas gracias a Aditya Mooley por aportar la solución al problema y a Ivan Buetler y el equipo GESEC por descubrir la vulnerabilidad.



Muchas Gracias,


Equipo de Desarrollo Coppermine,
Logged
Read Docs and Search the Forum before posting. - Soporte en español
--*--
Fabricio Ferrero's Website

Catching up! :)

axxo1

  • Coppermine newbie
  • Country: 00
  • Offline Offline
  • Posts: 1
Re: CPG 1.4.26 Actualización de Seguridad - OBLIGATORIO
« Reply #1 on: September 16, 2013, 06:00:12 pm »

enlace no funciona :(
Logged
Pages: [1]   Go Up
 

Page created in 0.025 seconds with 19 queries.